Subject: Re: Make the git codebase thread-safe

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Feb 2014 09:55:07 -0800

Duy Nguyen <[email-masked]> writes:

> On Sat, Feb 15, 2014 at 8:15 AM, Zachary Turner <[email-masked]> wrote:
> ...
>> 2) Use TLS as you suggest and have one fd per pack thread.  Probably
>> the most complicated code change (at least for me, being a first-time
>> contributor)
>
> It's not so complicated. I suggested a patch [1] before (surprise!).
> ...
> [1] http://article.gmane.org/gmane.comp.version-control.git/196042

That message is at the tail end of the discussion. I wonder why
nothing came out of it back then.

While I do not see anything glaringly wrong with the change from a
quick glance over it, it would be nice to hear how well it performs
on their platform from Windows folks.

Thanks.